import request from '@/utils/request'

// 查询请假时间记录列表
export function listTime(query) {
  return request({
    url: '/clockingin/time/list',
    method: 'get',
    params: query
  })
}

// 查询请假时间记录详细
export function getTime(vacateId) {
  return request({
    url: '/clockingin/time/' + vacateId,
    method: 'get'
  })
}

// 新增请假时间记录
export function addTime(data) {
  return request({
    url: '/clockingin/time',
    method: 'post',
    data: data
  })
}

// 修改请假时间记录
export function updateTime(data) {
  return request({
    url: '/clockingin/time',
    method: 'put',
    data: data
  })
}

// 删除请假时间记录
export function delTime(vacateId) {
  return request({
    url: '/clockingin/time/' + vacateId,
    method: 'delete'
  })
}

// 导出请假时间记录
export function exportTime(query) {
  return request({
    url: '/clockingin/time/export',
    method: 'get',
    params: query
  })
}